import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;


public class ThreadSafe extends HttpServlet
{
	String str = "NULL";
	public void doGet(HttpServletRequest request,HttpServletResponse response)
			throws ServletException,IOException {
				
		response.setContentType("text/plain");
		str = request.getParameter("str");
		try
		{
			Thread.sleep(2000);
		}catch(InterruptedException e) {
		}
		PrintWriter out = response.getWriter();
		out.println("Str = " + str);
	}
}